Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command.action
Class InvokePortletWindowActionCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand
                  org.jboss.portal.core.model.portal.command.PortalCommand
                      org.jboss.portal.core.model.portal.command.PageCommand
                          org.jboss.portal.core.model.portal.command.WindowCommand
                              org.jboss.portal.core.model.portal.command.action.InvokeWindowCommand
                                  org.jboss.portal.core.model.portal.command.action.InvokePortletWindowActionCommand

    public class InvokePortletWindowActionCommand

extends InvokeWindowCommand

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected Instance` | `instance` The instance.

Fields inherited from class org.jboss.portal.core.model.portal.command.action.InvokeWindowCommand
`mode, windowState`

Fields inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`window`

Fields inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`page`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`portal`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`dashboard, target, targetId`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`InvokePortletWindowActionCommand(PortalObjectId windowId, Mode mode, WindowState windowState, StateString navigationalState, StateString interactionState, PortletParameters formParameters)`

Method Summary
`void` | `acquireResources()`
`ControllerResponse` | `execute()` Execute the command.
`PortletParameters` | `getFormParameters()`
`CommandInfo` | `getInfo()` Return the meta data of this command.
`StateString` | `getInteractionState()`
`StateString` | `getNavigationalState()`
`void` | `setFormParameters(PortletParameters formParameters)`
`void` | `setInteractionState(StateString interactionState)`

Methods inherited from class org.jboss.portal.core.model.portal.command.action.InvokeWindowCommand
`getMode, getWindowState`

Methods inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`enforceSecurity, getWindow, initPage`

Methods inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`getPage, initPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`getPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`getTarget, getTargetId, isDashboard`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, getContext, getControllerContext, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected Instance instance

  The instance.

Constructor Detail

### InvokePortletWindowActionCommand

    public InvokePortletWindowActionCommand(PortalObjectId windowId,
                                            Mode mode,
                                            WindowState windowState,
                                            StateString navigationalState,
                                            StateString interactionState,
                                            PortletParameters formParameters)
                                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getNavigationalState

    public StateString getNavigationalState()

### getInteractionState

    public StateString getInteractionState()

### setInteractionState

    public void setInteractionState(StateString interactionState)

### getFormParameters

    public PortletParameters getFormParameters()

### setFormParameters

    public void setFormParameters(PortletParameters formParameters)

### getInfo

    public CommandInfo getInfo()

  Description copied from class: `ControllerCommand`
  Return the meta data of this command.

  Specified by:
    `getInfo` in class `ControllerCommand`

### acquireResources

    public void acquireResources()
                          throws NoSuchResourceException

  Overrides:
    `acquireResources` in class `PortalCommand`
  Throws:
    `NoSuchResourceException`

### execute

    public ControllerResponse execute()
                               throws ControllerException

  Description copied from class: `ControllerCommand`
  Execute the command.

  Specified by:
    `execute` in class `ControllerCommand`
  Throws:
    `ControllerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD